Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514053 - installing 7.5 Workstation gives me 7.5 Server !
Summary: installing 7.5 Workstation gives me 7.5 Server !
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: releng
Version: 7.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Lubos Kocman
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-16 15:03 UTC by Ray Strode [halfline]
Modified: 2018-03-16 00:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-30 18:58:39 UTC


Attachments (Terms of Use)
/root/anaconda-ks.cfg (deleted)
2017-11-16 15:03 UTC, Ray Strode [halfline]
no flags Details

Description Ray Strode [halfline] 2017-11-16 15:03:35 UTC
Created attachment 1353553 [details]
/root/anaconda-ks.cfg

I did a nightly install yesterday from

http://download-node-02.eng.bos.redhat.com/nightly/latest-RHEL-7/compose/Workstation/x86_64/os

finished the install, rebooted, and noticed the grub entry says 7.5 Server.

also /etc/os-release and /etc/redhat-release do as well.

Comment 1 Ray Strode [halfline] 2017-11-17 21:23:11 UTC
so i tried to yum update it today and go this error message:

---> Package redhat-release.x86_64 0:7.5-0.12.el7 will be updated
--> Processing Dependency: redhat-release = 7.5-0.12.el7 for package: redhat-release-server-7.5-0.12.el7.x86_64
---> Package redhat-release-workstation.x86_64 0:7.5-0.13.el7 will be installed
--> Finished Dependency Resolution
Error: Package: redhat-release-server-7.5-0.12.el7.x86_64 (@anaconda)
           Requires: redhat-release = 7.5-0.12.el7
           Removing: redhat-release-7.5-0.12.el7.x86_64 (@anaconda)
               redhat-release = 7.5-0.12.el7
           Updated By: redhat-release-7.5-0.13.el7.x86_64 (nightly)
               redhat-release = 7.5-0.13.el7

So then I did 

# yum swap redhat-release-server redhat-release-workstation

and then yum update went through.

Comment 2 Jiri Konecny 2017-11-20 09:16:14 UTC
Hello Ray,

This is a problem with the repository you are using. It has bad comps file or there could be bad dependencies for redhat-release-workstation package.

Changing components to releng. Can you please look on that.

Jirka

Comment 4 Ray Strode [halfline] 2018-01-30 18:58:39 UTC
sure


Note You need to log in before you can comment on or make changes to this bug.